OGRE-Next: Ogre::GL3PlusHlmsPso Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Attributes | List of all members
Ogre::GL3PlusHlmsPso Struct Reference
Core » Resources

We cache some conversion values here to avoid doing it every time we set the Pso. More...

`#include <OgreGL3PlusHlmsPso.h>`

## Public Attributes
GLenum | blendFunc
GLenum | blendFuncAlpha
GLenum | cullMode
GLenum | depthFunc
GLboolean | depthWrite
GLenum | destBlend
GLenum | destBlendAlpha
GLSLShader * | domainShader
bool | enableAlphaBlend
GLSLShader * | geometryShader
GLSLShader * | hullShader
GLSLShader * | pixelShader
GLenum | polygonMode
GLenum | sourceBlend
GLenum | sourceBlendAlpha
GLSLShader * | vertexShader

## Detailed Description

We cache some conversion values here to avoid doing it every time we set the Pso.

See also
  HlmsPso

## Member Data Documentation

## ◆ blendFunc

GLenum Ogre::GL3PlusHlmsPso::blendFunc

## ◆ blendFuncAlpha

GLenum Ogre::GL3PlusHlmsPso::blendFuncAlpha

## ◆ cullMode

GLenum Ogre::GL3PlusHlmsPso::cullMode

## ◆ depthFunc

GLenum Ogre::GL3PlusHlmsPso::depthFunc

## ◆ depthWrite

GLboolean Ogre::GL3PlusHlmsPso::depthWrite

## ◆ destBlend

GLenum Ogre::GL3PlusHlmsPso::destBlend

## ◆ destBlendAlpha

GLenum Ogre::GL3PlusHlmsPso::destBlendAlpha

## ◆ domainShader

GLSLShader* Ogre::GL3PlusHlmsPso::domainShader

## ◆ enableAlphaBlend

bool Ogre::GL3PlusHlmsPso::enableAlphaBlend

## ◆ geometryShader

GLSLShader* Ogre::GL3PlusHlmsPso::geometryShader

## ◆ hullShader

GLSLShader* Ogre::GL3PlusHlmsPso::hullShader

## ◆ pixelShader

GLSLShader* Ogre::GL3PlusHlmsPso::pixelShader

## ◆ polygonMode

GLenum Ogre::GL3PlusHlmsPso::polygonMode

## ◆ sourceBlend

GLenum Ogre::GL3PlusHlmsPso::sourceBlend

## ◆ sourceBlendAlpha

GLenum Ogre::GL3PlusHlmsPso::sourceBlendAlpha

## ◆ vertexShader

GLSLShader* Ogre::GL3PlusHlmsPso::vertexShader

The documentation for this struct was generated from the following file:

- OgreGL3PlusHlmsPso.h